Bug 225677 - Merge Review: dbus-python
Merge Review: dbus-python
Status: ASSIGNED
Product: Fedora
Classification: Fedora
Component: dbus-python (Show other bugs)
23
All Linux
medium Severity medium
: ---
: ---
Assigned To: leigh scott
Fedora Package Reviews List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-01-31 12:55 EST by Nobody's working on this, feel free to take it
Modified: 2016-11-24 05:17 EST (History)
12 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nobody's working on this, feel free to take it 2007-01-31 12:55:36 EST
Fedora Merge Review: dbus-python

http://cvs.fedora.redhat.com/viewcvs/devel/dbus-python/
Initial Owner: johnp@redhat.com
Comment 1 Susi Lehtola 2009-03-24 10:18:54 EDT
Taking on review.
Comment 2 Susi Lehtola 2009-03-24 10:23:01 EDT
Some notes:

- Any reason why SMP make isn't enabled?

- Devel package must Requires: pkgconfig.

- Maybe remove the commented lines?
Comment 3 Susi Lehtola 2009-04-24 16:54:42 EDT
Ping?
Comment 4 Susi Lehtola 2009-06-14 12:15:47 EDT
ping davidz
Comment 5 Susi Lehtola 2009-08-05 07:25:03 EDT
ping again?
Comment 6 Richard Hughes 2009-08-05 08:42:05 EDT
Not sure why I'm on cc for this bug...
Comment 7 Susi Lehtola 2009-08-05 08:51:15 EDT
(In reply to comment #6)
> Not sure why I'm on cc for this bug...  

You are on the commit list for this package with a bunch of other people

https://admin.fedoraproject.org/pkgdb/packages/name/dbus-python
Comment 8 John (J5) Palmieri 2009-08-05 13:11:13 EDT
SMP compile is a holdover from the dbus package (when this was a subpackage of dbus).  Why does the devel package need to require pkgconfig?  It is a python library.  I'm not even sure we need a devel section.  That is also most likely a holdover from the dbus/bindings package split.
Comment 9 Susi Lehtola 2009-08-05 13:47:55 EDT
(In reply to comment #8)
> SMP compile is a holdover from the dbus package (when this was a subpackage of
> dbus).  Why does the devel package need to require pkgconfig?  It is a python

 %files devel
 %defattr(-,root,root)
 %{_includedir}/dbus-1.0/dbus/dbus-python.h
 %{_libdir}/pkgconfig/dbus-python.pc
           ^^^^^^^^^^^^^^^^^^^^^^^^^
Because of this.
Comment 10 Susi Lehtola 2010-01-01 17:43:20 EST
ping.
Comment 11 Cole Robinson 2015-02-11 15:35:54 EST
Mass reassigning all merge reviews to their component. For more details, see this FESCO ticket:

  https://fedorahosted.org/fesco/ticket/1269

If you don't know what merge reviews are about, please see:

  https://fedoraproject.org/wiki/Merge_Reviews

How to handle this bug is left to the discretion of the package maintainer.
Comment 12 Fedora Admin XMLRPC Client 2015-06-17 18:01:45 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 13 Jan Kurik 2015-07-15 11:27:04 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 23 development cycle.
Changing version to '23'.

(As we did not run this process for some time, it could affect also pre-Fedora 23 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 23 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora23
Comment 14 Fedora End Of Life 2016-11-24 05:17:49 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Note You need to log in before you can comment on or make changes to this bug.